let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "4275a321beab5a71872fb7a5fe5da511bb2bec73";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;

  "channels-nixos-21.05" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.05";
    rev = "0fd9ee1aa36ce865ad273f4f07fdc093adeb5c00";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "7f9b6e2babf232412682c09e57ed666d8f84ac2d";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "a2122813921a74f1c6f04f113b07f89484376765";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "2860d7e3bb350f18f7477858f3513f9798896831";
  };
}
